<template>
  <footer class="footer">
    <CookieBanner />
    <KeyboardShortcutsModal />
    <div class="container footer__wrapper">
   
      <ul class="footer__list">
        <li v-for="item in menu" :key="item.name" class="footer__list-item">
          <a
            v-if="item.external"
            :href="item.url"
            target="_blank"
            rel="noopener noreferrer">
            {{ item.name }}
          </a>
          <nuxt-link v-else :to="item.url">
            {{ item.name }}
          </nuxt-link>
        </li>
      </ul>
    </div>
  </footer>
</template>

<script lang="ts">
import { Component, Vue } from 'nuxt-property-decorator'
import { TranslateResult } from 'vue-i18n/types'

interface Menu {
  name: TranslateResult
  url: string
  external?: boolean
}
@Component({
  components: {
    KeyboardShortcutsModal: () =>
      import('@/components/shared/modals/keyboardShortcutsModal.vue'),
  },
})
export default class Footer extends Vue {
  public menu: Menu[] = [
    {
      name: this.$t('About'),
      url: '/rmrk/about',
    }
  ]
}
</script>

<style scoped lang="scss">
@import '@/styles/variables';

.footer {
  opacity: 0.3;

  &:hover {
    opacity: 1;
  }

  &__wrapper {
    display: flex;
    justify-content: space-between;
    align-items: center;
    flex-direction: column;
    padding: 16px;
    height: 135px;

    @include desktop {
      flex-direction: row;
    }
  }

  &__list {
    display: flex;
    align-items: center;
    list-style: none;
    flex-wrap: wrap;
    justify-content: center;
  }

  &__list-item {
    position: relative;
    padding: 0 8px;

    &:not(:last-child) {
      &:after {
        content: '';
        position: absolute;
        top: 50%;
        transform: translateY(-50%);
        right: 0;
        width: 1px;
        height: 12px;
        background: #fff;
      }
    }
  }
}

.icons {
  &__list-item {
    padding: 0 2px;
  }
}
</style>
